Subject: bug#70105: 30.0.50; Emacs should support EditorConfig out of the box

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 Jun 2024 16:07:15 -0400

>>> (I also considered let-binding `tab-width' when Org parser the file, but
>>> lists will then look funny visually)
>> If you use the `tab-width` set by the user then you have the advantage
>> that you parse the code in a way that is consistent with what the users
>> see (so the problem only bites the users who don't look at their code).
> Indeed, but what if an Org file comes from another user, with different
> tab-width?  Parsing it differently is simply wrong.

Exactly: there's no way to win in all cases.  Which is why I think it's
important to see the real cases so we can have a better idea of the
origin of the problem and how best to mitigate it.

        Stefan